Subject: Re: bug#25453: Inconsistent keyboard layout affecting encrypted root
From: Ludovic Courtès <[email-masked]>
To: Christopher Baines <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Mar 2019 23:21:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Chris!

[email-masked] (Ludovic Courtès) skribis:

> Christopher Baines <[email-masked]> skribis:
>
>> I'm using a UK keyboard layout with a computer that I recently installed
>> GuixSD on with a encrypted root parition. Immediately after installation
>> when I attempted to boot in to the new system for the first time I had
>> to enter the passphrase twice, and in doing this, first I had to use the
>> keyboard layout under which I carried out the installation (the layout
>> which I had intended to use), and then during the early boot stage of
>> the system I had to enter the passphrase using a different keyboard
>> layout.
>
> Currently installing a keymap is something done by the ‘console-keymap’
> Shepherd service, which invokes ‘loadkeys’.  That happens after
> “cryptsetup --open” has opened your encrypted root device, hence the
> problem.

This is finally fixed by commit
ae7a316b9da0d1a50c5abdc531c68c8e98e561c9, which initializes the console
keyboard layout straight from the initrd.

Ludo’.